[Skiboot] [TRIVIAL][PATCH] Move away from tempfile

Balbir Singh bsingharora at gmail.com
Mon Jul 18 13:24:12 AEST 2016


From: Balbir Singh <bsingharora at gmail.com>

tempfile is not available across distros and from the BUGS in the man
page

tempfile is deprecated; you should use mktemp(1) instead.

Signed-off-by: Balbir Singh <bsingharora at gmail.com>
---
 test/run.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/run.sh b/test/run.sh
index 5185f5a..e159bd3 100755
--- a/test/run.sh
+++ b/test/run.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-t=$(tempfile) || exit 1
+t=$(mktemp) || exit 1
 
 trap "rm -f -- '$t'" EXIT
 
-- 
2.5.5



More information about the Skiboot mailing list